Subject: [PATCH 0/3] debbugs improvements. Add tests

From: Morgan Smith <[email-masked]>
Date: Sun, 11 Aug 2024 08:15:31 -0400

Hello!

I would like to start contributing some improvements to debbugs.  However, when
changing things I found it difficult to avoid regressions.  So I figured I'd
try to add a test suite to debbugs first.

The first two patches are not that interesting.  I was hoping to get feedback
on the "Add tests" patch.  Obviously more tests are needed but I would like to
know if I'm on the right path.

Thanks,

Morgan

Morgan Smith (3):
  * debbugs-gnu.el (debbugs-gnu-find-contributor): Make regex more
    specific
  Fix various warnings
  Add tests

 Makefile             |   4 ++
 debbugs-browse.el    |   3 +-
 debbugs-compat.el    |   3 ++
 debbugs-gnu.el       |  24 +++++-----
 debbugs-org.el       |   7 +--
 debbugs.el           |  12 ++---
 test/test-debbugs.el | 101 +++++++++++++++++++++++++++++++++++++++++++
 7 files changed, 133 insertions(+), 21 deletions(-)
 create mode 100644 Makefile
 create mode 100644 test/test-debbugs.el

-- 
2.45.2